Index: /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod
===================================================================
--- /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34920)
+++ /main/trunk/greenstone2/perllib/cpan/Image/ExifTool/TagNames.pod	(revision 34921)
@@ -11160,17 +22411,22 @@
 Microsoft Photo 1.0 schema XMP tags.  This is likely not a complete list,
 but represents tags which have been observed in sample images.  The actual
-namespace prefix is "MicrosoftPhoto", but ExifTool shortens this to
-"XMP-microsoft" in the family 1 group name.
+namespace prefix is "MicrosoftPhoto", but ExifTool shortens this in the
+family 1 group name.
+
+These tags belong to the ExifTool XMP-microsoft family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
   CameraSerialNumber                            string
+  CreatorAppID                                  string
+  CreatorOpenWithUIOptions                      string
   DateAcquired                                  date
   FlashManufacturer                             string
   FlashModel                                    string
+  ItemSubType                                   string
   LastKeywordIPTC                               string+
   LastKeywordXMP                                string+
   LensManufacturer                              string
-  LensModel                                     string
+  LensModel                                     string/
   RatingPercent                                 string
 
@@ -11178,7 +22434,13 @@
 
 Microsoft Photo 1.1 schema XMP tags which have been observed.
+
+These tags belong to the ExifTool XMP-MP1 family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
+  Brightness                                    string/
+  CameraModelID                                 string/
+  Contrast                                      string/
+  ExposureCompensation                          string/
   PanoramicStitchCameraMotion                   string
   PanoramicStitchMapType                        string
@@ -11187,15 +22449,47 @@
   PanoramicStitchTheta0                         real
   PanoramicStitchTheta1                         real
+  PipelineVersion                               string
+  StreamType                                    string
+  WhiteBalance0                                 real
+  WhiteBalance1                                 real
+  WhiteBalance2                                 real
 
 =head3 Microsoft MP Tags
 
 Microsoft Photo 1.2 schema XMP tags which have been observed.
+
+These tags belong to the ExifTool XMP-MP family 1 group.
 
   Tag Name                                      Writable
   --------                                      --------
-  RegionInfoMP                                  RegionInfoMP Struct
-  RegionInfoMPRegions                           Regions Struct_+
+  RegionInfoDateRegionsValid                    date_
+  RegionInfoMP                                  Microsoft RegionInfo Struct
+  RegionInfoRegions                             Microsoft Regions Struct_+
   RegionPersonDisplayName                       string_+
+  RegionPersonEmailDigest                       string_+
+  RegionPersonLiveIdCID                         string_+
+  RegionPersonSourceID                          string_+
   RegionRectangle                               string_+
+
+=head3 Microsoft RegionInfo Struct
+
+  Field Name                                    Writable
+  ----------                                    --------
+  DateRegionsValid                              date
+  Regions                                       Microsoft Regions Struct+
+
+=head3 Microsoft Regions Struct
+
+Note that PersonLiveIdCID element is called PersonLiveCID according to the
+Microsoft specification, but in practice their software actually writes
+PersonLiveIdCID, so ExifTool uses this too.
+
+  Field Name                                    Writable
+  ----------                                    --------
+  PersonDisplayName                             string
+  PersonEmailDigest                             string
+  PersonLiveIdCID                               string
+  PersonSourceID                                string
+  Rectangle                                     string
 
 =head3 Microsoft Stitch Tags
@@ -11204,6 +22498,6 @@
 Windows Live Photo Gallery.
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
       0    PanoramicStitchVersion               int32u
       1    PanoramicStitchCameraMotion          int32u
@@ -11214,4 +22508,461 @@
       6    PanoramicStitchPhi1                  float
 
+=head3 Microsoft Xtra Tags
+
+Tags extracted from the Microsoft "Xtra" atom of QuickTime videos.  Tag ID's
+are not shown because some are unruly GUID's.
+
+  Tag Name                                      Writable
+  --------                                      --------
+  Abstract                                      no
+  AccountName                                   no
+  AcquisitionTime                               no
+  AcquisitionTimeDay                            no
+  AcquisitionTimeMonth                          no
+  AcquisitionTimeYear                           no
+  AcquisitionTimeYearMonth                      no
+  AcquisitionTimeYearMonthDay                   no
+  AlbumArtist                                   no
+  AlbumArtist                                   no
+  AlbumArtistSortOrder                          no
+  AlbumCoverURL                                 no
+  AlbumID                                       no
+  AlbumIDAlbumArtist                            no
+  AlbumTitle                                    no
+  AlbumTitle                                    no
+  AlbumTitleSortOrder                           no
+  AlternateSourceURL                            no
+  Anniversary                                   no
+  Artist                                        no
+  AssistantsName                                no
+  AssistantsPhone                               no
+  Attachments                                   no
+  Attributes                                    no
+  AudioBitrate                                  no
+  AudioFormat                                   no
+  AudioSampleRate                               no
+  AudioSampleSize                               no
+  Author                                        no
+  Author                                        no
+  AuthorSortOrder                               no
+  AutoSummary                                   no
+  AverageLevel                                  no
+  BccAddresses                                  no
+  BccNames                                      no
+  Beats-per-minute                              no
+  BeatsPerMinute                                no
+  BillingInformation                            no
+  Birthday                                      no
+  BitDepth                                      no
+  Bitrate                                       no
+  Bitrate                                       no
+  BroadcastDate                                 no
+  BusinessAddress                               no
+  BusinessCity                                  no
+  BusinessCountry-Region                        no
+  BusinessFax                                   no
+  BusinessHomePage                              no
+  BusinessPOBox                                 no
+  BusinessPhone                                 no
+  BusinessPostalCode                            no
+  BusinessStateOrProvince                       no
+  BusinessStreet                                no
+  BuyNow                                        no
+  BuyTickets                                    no
+  CDTrackEnabled                                no
+  CallLetters                                   no
+  CallbackNumber                                no
+  CameraMaker                                   no
+  CameraManufacturer                            no
+  CameraModel                                   no
+  CameraModel                                   no
+  CarPhone                                      no
+  Category                                      no
+  Category                                      no
+  CcAddresses                                   no
+  CcNames                                       no
+  CellPhone                                     no
+  ChannelNumber                                 no
+  Channels                                      no
+  Channels                                      no
+  ChapterNum                                    no
+  Children                                      no
+  City                                          no
+  ClientID                                      no
+  ClosedCaptioning                              no
+  Color                                         no
+  Comment                                       no
+  Comments                                      no
+  Company                                       no
+  CompanyMainPhone                              no
+  Complete                                      no
+  Composer                                      no
+  Composers                                     no
+  Computer                                      no
+  Conductor                                     no
+  Conductors                                    no
+  ContactNames                                  no
+  ContentDistributor                            no
+  ContentDistributorDuration                    no
+  ContentDistributorType                        no
+  ContentGroupDescription                       no
+  ContentType                                   no
+  Contributors                                  no
+  ConversationID                                no
+  Copyright                                     no
+  Copyright                                     no
+  Count                                         no
+  Country-Region                                no
+  Creator                                       no
+  CurrentBitrate                                no
+  DLNAServerUDN                                 no
+  DLNASourceURI                                 no
+  DRMIndividualizedVersion                      no
+  DRMKeyID                                      no
+  DTCPIPHost                                    no
+  DTCPIPPort                                    no
+  DVDID                                         no
+  DataRate                                      no
+  Date                                          no
+  DateAccessed                                  no
+  DateAcquired                                  no
+  DateArchived                                  no
+  DateCompleted                                 no
+  DateCreated                                   no
+  DateImported                                  no
+  DateLastSaved                                 no
+  DateModified                                  no
+  DatePictureTaken                              no
+  DateReceived                                  no
+  DateReleased                                  no
+  DateSent                                      no
+  DateVisited                                   no
+  Department                                    no
+  Description                                   no
+  Description                                   no
+  Description                                   no
+  Dimensions                                    no
+  Director                                      no
+  Directors                                     no
+  DisplayArtist                                 no
+  Division                                      no
+  DocumentID                                    no
+  DueDate                                       no
+  Duration                                      no
+  Duration                                      no
+  Duration                                      no
+  E-mail2                                       no
+  E-mail3                                       no
+  E-mailAddress                                 no
+  E-mailDisplayName                             no
+  E-mailList                                    no
+  EncodedBy                                     no
+  EncodingTime                                  no
+  EndDate                                       no
+  EntryType                                     no
+  EpisodeName                                   no
+  Event                                         no
+  Event                                         no
+  ExifVersion                                   no
+  ExposureBias                                  no
+  ExposureProgram                               no
+  ExposureTime                                  no
+  F-stop                                        no
+  FileAs                                        no
+  FileCount                                     no
+  FileSize                                      no
+  FileType                                      no
+  FileVersion                                   no
+  FirstName                                     no
+  FlagColor                                     no
+  FlagStatus                                    no
+  FlashMode                                     no
+  FocalLength                                   no
+  FocalLength35mm                               no
+  Folder                                        no
+  FolderName                                    no
+  FolderPath                                    no
+  FormatTag                                     no
+  FourCC                                        no
+  FrameHeight                                   no
+  FrameRate                                     no
+  FrameRate                                     no
+  FrameWidth                                    no
+  Free-busyStatus                               no
+  Frequency                                     no
+  FromAddresses                                 no
+  FromNames                                     no
+  FullName                                      no
+  Gender                                        no
+  Genre                                         no
+  Genre                                         no
+  GenreID                                       no
+  GivenName                                     no
+  HasAttachments                                no
+  HasFlag                                       no
+  Hobbies                                       no
+  HomeAddress                                   no
+  HomeCity                                      no
+  HomeCountry-Region                            no
+  HomeFax                                       no
+  HomePOBox                                     no
+  HomePhone                                     no
+  HomePostalCode                                no
+  HomeStateOrProvince                           no
+  HomeStreet                                    no
+  HorizontalResolution                          no
+  IMAddresses                                   no
+  ISOSpeed                                      no
+  Importance                                    no
+  Incomplete                                    no
+  InitialKey                                    no
+  InitialKey                                    no
+  Initials                                      no
+  IsAttachment                                  no
+  IsCompleted                                   no
+  IsDeleted                                     no
+  IsNetworkFeed                                 no
+  IsOnline                                      no
+  IsProtected                                   no
+  IsRecurring                                   no
+  IsVBR                                         no
+  JobTitle                                      no
+  Keywords                                      no
+  Kinds                                         no
+  Label                                         no
+  Language                                      no
+  Language                                      no
+  LastName                                      no
+  LastPrinted                                   no
+  LeadPerformer                                 no
+  LegalTrademarks                               no
+  LensMaker                                     no
+  LensModel                                     no
+  LibraryID                                     no
+  LibraryName                                   no
+  LightSource                                   no
+  LinkStatus                                    no
+  LinkTarget                                    no
+  Location                                      no
+  Location                                      no
+  Lyrics                                        no
+  MCDI                                          no
+  MailingAddress                                no
+  MaxAperture                                   no
+  MediaClassPrimaryID                           no
+  MediaClassSecondaryID                         no
+  MediaContentTypes                             no
+  MediaCreated                                  no
+  MediaOriginalBroadcastDateTime                no
+  MediaOriginalChannel                          no
+  MediaStationName                              no
+  MediaType                                     no
+  MeteringMode                                  no
+  MiddleName                                    no
+  Mileage                                       no
+  ModifiedBy                                    no
+  Mood                                          no
+  Mood                                          no
+  MoreInfo                                      no
+  Name                                          no
+  Nickname                                      no
+  OfficeLocation                                no
+  OfflineAvailability                           no
+  OfflineStatus                                 no
+  OptionalAttendeeAddresses                     no
+  OptionalAttendees                             no
+  OrganizerAddress                              no
+  OrganizerName                                 no
+  Orientation                                   no
+  OriginalAlbumTitle                            no
+  OriginalArtist                                no
+  OriginalLyricist                              no
+  OtherAddress                                  no
+  OtherCity                                     no
+  OtherCountry-Region                           no
+  OtherPOBox                                    no
+  OtherPostalCode                               no
+  OtherStateOrProvince                          no
+  OtherStreet                                   no
+  Owner                                         no
+  POBox                                         no
+  Pager                                         no
+  Pages                                         no
+  ParentalRating                                no
+  ParentalRating                                no
+  ParentalRatingReason                          no
+  PartOfSet                                     no
+  PartOfSet                                     no
+  PartOfSet                                     no
+  Participants                                  no
+  Path                                          no
+  PeakValue                                     no
+  PerceivedType                                 no
+  Period                                        no
+  Period                                        no
+  PersonalTitle                                 no
+  PixelAspectRatioX                             no
+  PixelAspectRatioY                             no
+  PlaylistIndex                                 no
+  PostalCode                                    no
+  PrimaryE-mail                                 no
+  PrimaryPhone                                  no
+  Priority                                      no
+  Producer                                      no
+  Producers                                     no
+  ProductName                                   no
+  ProductVersion                                no
+  Profession                                    no
+  ProgramDescription                            no
+  ProgramMode                                   no
+  ProgramName                                   no
+  Project                                       no
+  Protected                                     no
+  ProtectionType                                no
+  Provider                                      no
+  Provider                                      no
+  ProviderLogoURL                               no
+  ProviderRating                                no
+  ProviderStyle                                 no
+  ProviderURL                                   no
+  Publisher                                     no
+  Publisher                                     no
+  RadioBand                                     no
+  RadioFormat                                   no
+  Rating                                        no
+  RatingOrg                                     no
+  ReadStatus                                    no
+  RecordingTime                                 no
+  RecordingTime                                 no
+  RecordingTimeDay                              no
+  RecordingTimeMonth                            no
+  RecordingTimeYear                             no
+  RecordingTimeYearMonth                        no
+  RecordingTimeYearMonthDay                     no
+  ReleaseDate                                   no
+  ReleaseDateDay                                no
+  ReleaseDateMonth                              no
+  ReleaseDateYear                               no
+  ReleaseDateYearMonth                          no
+  ReleaseDateYearMonthDay                       no
+  ReminderTime                                  no
+  RequestState                                  no
+  RequiredAttendeeAddresses                     no
+  RequiredAttendees                             no
+  Rerun                                         no
+  Resources                                     no
+  SAP                                           no
+  Saturation                                    no
+  SearchRanking                                 no
+  SenderAddress                                 no
+  SenderName                                    no
+  Sensitivity                                   no
+  ShadowFilePath                                no
+  Shared                                        no
+  SharedUserRating                              no
+  SharedWith                                    no
+  Size                                          no
+  Slides                                        no
+  Source                                        no
+  SourceURL                                     no
+  SpaceFree                                     no
+  SpaceUsed                                     no
+  Spouse                                        no
+  StartDate                                     no
+  StateOrProvince                               no
+  StationCallSign                               no
+  StationName                                   no
+  Status                                        no
+  Status                                        no
+  Store                                         no
+  Street                                        no
+  Subject                                       no
+  Subject                                       no
+  SubjectDistance                               no
+  SubscriptionContentID                         no
+  Subtitle                                      no
+  Subtitle                                      no
+  SubtitleDescription                           no
+  Suffix                                        no
+  Summary                                       no
+  Sync01                                        no
+  Sync02                                        no
+  Sync03                                        no
+  Sync04                                        no
+  Sync05                                        no
+  Sync06                                        no
+  Sync07                                        no
+  Sync08                                        no
+  Sync09                                        no
+  Sync10                                        no
+  Sync11                                        no
+  Sync12                                        no
+  Sync13                                        no
+  Sync14                                        no
+  Sync15                                        no
+  Sync16                                        no
+  SyncOnly                                      no
+  SyncState                                     no
+  TTY-TTDPhone                                  no
+  TaskOwner                                     no
+  Telex                                         no
+  Temporary                                     no
+  Title                                         no
+  Title                                         no
+  TitleNum                                      no
+  TitleSortOrder                                no
+  ToAddresses                                   no
+  ToDoTitle                                     no
+  ToNames                                       no
+  TotalBitrate                                  no
+  TotalDuration                                 no
+  TotalEditingTime                              no
+  TotalFileSize                                 no
+  TotalSize                                     no
+  TrackNumber                                   no
+  TrackNumber                                   no
+  TrackingID                                    no
+  Type                                          no
+  Type                                          no
+  URL                                           no
+  UniqueFileIdentifier                          no
+  Untitled0                                     no
+  Untitled1                                     no
+  Untitled2                                     no
+  UserCustom1                                   no
+  UserCustom2                                   no
+  UserEffectiveRating                           no
+  UserLastPlayedTime                            no
+  UserPlayCount                                 no
+  UserPlaycountAfternoon                        no
+  UserPlaycountEvening                          no
+  UserPlaycountMorning                          no
+  UserPlaycountNight                            no
+  UserPlaycountWeekday                          no
+  UserPlaycountWeekend                          no
+  UserRating                                    no
+  UserServiceRating                             no
+  UserWebURL                                    no
+  VerticalResolution                            no
+  VideoBitrate                                  no
+  VideoCompression                              no
+  VideoFormat                                   no
+  VideoFrameRate                                no
+  VideoHeight                                   no
+  VideoWidth                                    no
+  WMCollectionGroupID                           no
+  WMCollectionID                                no
+  WMContentID                                   no
+  WMShadowFileSourceDRMType                     no
+  WMShadowFileSourceFileType                    no
+  Webpage                                       no
+  WhiteBalance                                  no
+  WindowsFileName                               no
+  WordCount                                     no
+  Writer                                        no
+  Writers                                       no
+  Year                                          no
+  Year                                          no
+
 =head2 GIMP Tags
 
@@ -11222,35 +22973,38 @@
   ------   --------                             --------
   'header' Header                               GIMP Header
-  0x0011   Compression                          N
+  0x0011   Compression                          no
   0x0013   Resolution                           GIMP Resolution
+  0x0014   Tattoo                               no
   0x0015   Parasites                            GIMP Parasite
+  0x0016   Units                                no
 
 =head3 GIMP Header Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      9    XCFVersion                           N
-     14    ImageWidth                           N
-     18    ImageHeight                          N
-     22    ColorMode                            N
+  Index1   Tag Name                             Writable
+  ------   --------                             --------
+      9    XCFVersion                           no
+     14    ImageWidth                           no
+     18    ImageHeight                          no
+     22    ColorMode                            no
 
 =head3 GIMP Resolution Tags
 
-   Index   Tag Name                             Writable
-   -----   --------                             --------
-      0    XResolution                          N
-      1    YResolution                          N
+  Index4   Tag Name                             Writable
+  ------   --------                             --------
+      0    XResolution                          no
+      1    YResolution                          no
 
 =head3 GIMP Parasite Tags
 
-  Tag ID               Tag Name                 Writable
-  ------               --------                 --------
-  'exif-data'          ExifData                 EXIF
-  'gimp-comment'       Comment                  N
-  'gimp-metadata'      XMP                      XMP
-  'icc-profile'        ICC_Profile              ICC_Profile
-  'icc-profile-name'   ICCProfileName           N
-  'iptc-data'          IPTCData                 IPTC
-  'jpeg-exif-data'     JPEGExifData             EXIF
+  Tag ID                Tag Name                Writable
+  ------                --------                --------
+  'exif-data'           ExifData                EXIF
+  'gimp-comment'        Comment                 no
+  'gimp-image-metadata' XML                     XMP XML
+  'gimp-metadata'       XMP                     XMP
+  'icc-profile'         ICC_Profile             ICC_Profile
+  'icc-profile-name'    ICCProfileName          no
+  'iptc-data'           IPTCData                IPTC
+  'jpeg-exif-data'      JPEGExifData            EXIF
 
 =head2 MIE Tags
@@ -11273,5 +23027,5 @@
 C<TAG-xx_YY>, where C<TAG> is the tag name, C<xx> is a 2-character lower
 case ISO 639-1 language code, and C<YY> is a 2-character upper case ISO
-3166-1 alpha 2 country code (ie. C<Title-en_US>).  But as usual, the user
+3166-1 alpha 2 country code (eg. C<Title-en_US>).  But as usual, the user
 interface is case-insensitive, and ExifTool will write the correct case to
 the file.
